Index: CKEditor/branches/versions/3.3.x/_source/core/ckeditor_basic.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/ckeditor_basic.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/core/ckeditor_basic.js	(revision 5405)
@@ -189,5 +189,5 @@
 					// parameter.
 
-					var classRegex = new RegExp( '(?:^| )' + arguments[0] + '(?:$| )' );
+					var classRegex = new RegExp( '(?:^|\\s)' + arguments[0] + '(?:$|\\s)' );
 
 					if ( !classRegex.test( textarea.className ) )
Index: CKEditor/branches/versions/3.3.x/_source/core/dom/element.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/dom/element.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/core/dom/element.js	(revision 5405)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -778,4 +778,29 @@
 
 		/**
+		 * Whether it's an empty inline elements which has no visual impact when removed.
+		 */
+		isEmptyInlineRemoveable : function()
+		{
+			if ( !CKEDITOR.dtd.$removeEmpty[ this.getName() ] )
+				return false;
+
+			var children = this.getChildren();
+			for ( var i = 0, count = children.count(); i < count; i++ )
+			{
+				var child = children.getItem( i );
+
+				if ( child.type == CKEDITOR.NODE_ELEMENT && child.getAttribute( '_fck_bookmark' ) )
+					continue;
+
+				if ( child.type == CKEDITOR.NODE_ELEMENT && !child.isEmptyInlineRemoveable()
+					|| child.type == CKEDITOR.NODE_TEXT && CKEDITOR.tools.trim( child.getText() ) )
+				{
+					return false;
+				}
+			}
+			return true;
+		},
+
+		/**
 		 * Indicates that the element has defined attributes.
 		 * @returns {Boolean} True if the element has attributes.
@@ -874,4 +899,54 @@
 			}
 		},
+
+		mergeSiblings : ( function()
+		{
+			function mergeElements( element, sibling, isNext )
+			{
+				if ( sibling && sibling.type == CKEDITOR.NODE_ELEMENT )
+				{
+					// Jumping over bookmark nodes and empty inline elements, e.g. <b><i></i></b>,
+					// queuing them to be moved later. (#5567)
+					var pendingNodes = [];
+
+					while ( sibling.getAttribute( '_fck_bookmark' )
+						|| sibling.isEmptyInlineRemoveable() )
+					{
+						pendingNodes.push( sibling );
+						sibling = isNext ? sibling.getNext() : sibling.getPrevious();
+						if ( !sibling || sibling.type != CKEDITOR.NODE_ELEMENT )
+							return;
+					}
+
+					if ( element.isIdentical( sibling ) )
+					{
+						// Save the last child to be checked too, to merge things like
+						// <b><i></i></b><b><i></i></b> => <b><i></i></b>
+						var innerSibling = isNext ? element.getLast() : element.getFirst();
+
+						// Move pending nodes first into the target element.
+						while( pendingNodes.length )
+							pendingNodes.shift().move( element, !isNext );
+
+						sibling.moveChildren( element, !isNext );
+						sibling.remove();
+
+						// Now check the last inner child (see two comments above).
+						if ( innerSibling && innerSibling.type == CKEDITOR.NODE_ELEMENT )
+							innerSibling.mergeSiblings();
+					}
+				}
+			}
+
+			return function()
+			{
+				// Merge empty links and anchors also. (#5567)
+				if ( !( CKEDITOR.dtd.$removeEmpty[ this.getName() ] || this.is( 'a' ) ) )
+					return;
+
+				mergeElements( this, this.getNext(), true );
+				mergeElements( this, this.getPrevious() );
+			}
+		} )(),
 
 		/**
Index: CKEditor/branches/versions/3.3.x/_source/core/tools.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/tools.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/core/tools.js	(revision 5405)
@@ -256,5 +256,5 @@
 
 		/**
-		 * Build the HTML snippet of a set of <style>/<link>.
+		 * Build the HTML snippet of a set of &lt;style>/&lt;link>.
 		 * @param css {String|Array} Each of which are url (absolute) of a CSS file or
 		 * a trunk of style text.
Index: CKEditor/branches/versions/3.3.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/af.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/af.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ar.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ar.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'تدقيق إملائي أثناء الكتابة',
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'تفعيل SCAYT',
 		disable			: 'تعطيل SCAYT',
@@ -669,7 +670,21 @@
 		addWord			: 'إضافة كلمة',
 		emptyDic		: 'اسم القاموس يجب ألا يكون فارغاً.',
+		
 		optionsTab		: 'خيارات',
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'لغات',
+		
 		dictionariesTab	: 'قواميس',
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'عن'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bg.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bg.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bn.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bn.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bs.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bs.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ca.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ca.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type',
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Habilitat l\'SCAYT',
 		disable			: 'Deshabilita SCAYT',
@@ -669,7 +670,21 @@
 		addWord			: 'Afegeix una paraula',
 		emptyDic		: 'El nom del diccionari no hauria d\'estar buit.',
+		
 		optionsTab		: 'Opcions',
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Idiomes',
+		
 		dictionariesTab	: 'Diccionaris',
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'Quant a'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/cs.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/cs.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Kontrola pravopisu během psaní (SCAYT)',
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Zapnout SCAYT',
 		disable			: 'Vypnout SCAYT',
@@ -669,7 +670,21 @@
 		addWord			: 'Přidat slovo',
 		emptyDic		: 'Název slovníku nesmí být prázdný.',
+		
 		optionsTab		: 'Nastavení',
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Jazyky',
+		
 		dictionariesTab	: 'Slovníky',
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'O aplikaci'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/cy.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/cy.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Gwirio\'r Sillafu Wrth Deipio',
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Galluogi SCAYT',
 		disable			: 'Analluogi SCAYT',
@@ -669,7 +670,21 @@
 		addWord			: 'Ychwanegu Gair',
 		emptyDic		: 'Ni ddylai enw\'r geiriadur fod yn wag.',
+		
 		optionsTab		: 'Opsiynau',
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Ieithoedd',
+		
 		dictionariesTab	: 'Geiriaduron',
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'Ynghylch'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/da.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/da.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Stavekontrol mens du skriver',
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Aktivér SCAYT',
 		disable			: 'Deaktivér SCAYT',
@@ -669,7 +670,21 @@
 		addWord			: 'Tilføj ord',
 		emptyDic		: 'Ordbogsnavn må ikke være tom.',
+		
 		optionsTab		: 'Indstillinger',
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Sprog',
+		
 		dictionariesTab	: 'Ordbøger',
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'Om'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/de.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/de.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/de.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Rechtschreibprüfung während der Texteingabe',
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'SCAYT einschalten',
 		disable			: 'SCAYT ausschalten',
@@ -669,7 +670,21 @@
 		addWord			: 'Wort hinzufügen',
 		emptyDic		: 'Wörterbuchname sollte leer sein.',
+		
 		optionsTab		: 'Optionen',
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Sprachen',
+		
 		dictionariesTab	: 'Wörterbücher',
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'Über'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/el.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/el.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-au.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-au.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type',
+		opera_title		: 'Not supported by Opera',
 		enable			: 'Enable SCAYT',
 		disable			: 'Disable SCAYT',
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word',
 		emptyDic		: 'Dictionary name should not be empty.',
+		
 		optionsTab		: 'Options',
+		allCaps			: 'Ignore All-Caps Words',
+		ignoreDomainNames : 'Ignore Domain Names',
+		mixedCase		: 'Ignore Words with Mixed Case',
+		mixedWithDigits	: 'Ignore Words with Numbers',
+		
 		languagesTab	: 'Languages',
+		
 		dictionariesTab	: 'Dictionaries',
+		dic_field_name	: 'Dictionary name',
+		dic_create		: 'Create',
+		dic_restore		: 'Restore',
+		dic_delete		: 'Delete',
+		dic_rename		: 'Rename',
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.',
+		
 		aboutTab		: 'About'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/eo.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/eo.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Spell Check As You Type', // MISSING
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Enable SCAYT', // MISSING
 		disable			: 'Disable SCAYT', // MISSING
@@ -669,7 +670,21 @@
 		addWord			: 'Add Word', // MISSING
 		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		
 		optionsTab		: 'Options', // MISSING
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Languages', // MISSING
+		
 		dictionariesTab	: 'Dictionaries', // MISSING
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'About' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/es.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/es.js	(revision 5391)
+++ CKEditor/branches/versions/3.3.x/_source/lang/es.js	(revision 5405)
@@ -658,4 +658,5 @@
 	{
 		title			: 'Comprobar Ortografía Mientras Escribe',
+		opera_title		: 'Not supported by Opera', // MISSING
 		enable			: 'Activar Corrector',
 		disable			: 'Desactivar Corrector',
@@ -669,7 +670,21 @@
 		addWord			: 'Añadir palabra',
 		emptyDic		: 'El nombre del diccionario no puede estar en blanco.',
+		
 		optionsTab		: 'Opciones',
+		allCaps			: 'Ignore All-Caps Words', // MISSING
+		ignoreDomainNames : 'Ignore Domain Names', // MISSING
+		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
+		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
+		
 		languagesTab	: 'Idiomas',
+		
 		dictionariesTab	: 'Diccionarios',
+		dic_field_name	: 'Dictionary name', // MISSING
+		dic_create		: 'Create', // MISSING
+		dic_restore		: 'Restore', // MISSING
+		dic_delete		: 'Delete', // MISSING
+		dic_rename		: 'Rename', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		
 		aboutTab		: 'Acerca de'
 	},
